Endpoint
Authentication
Requires a developer API key in theAuthorization header.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Permanently delete a vault credential.
DELETE /v1/vault/credentials/:id
Authorization header.
| Header | Value |
|---|---|
Authorization | Bearer <api_key> |
| Parameter | Type | Description |
|---|---|---|
id | string | The vault credential ID to delete (e.g. vc_01HXYZ...) |
curl -X DELETE https://api.grantex.dev/v1/vault/credentials/vc_01HXYZ... \
-H "Authorization: Bearer gx_..."
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Invalid or missing API key |
| 404 | NOT_FOUND | Credential not found or does not belong to developer |
import Grantex from '@grantex/sdk';
const grantex = new Grantex({ apiKey: 'gx_...' });
await grantex.vault.delete('vc_01HXYZ...');
from grantex import Grantex
grantex = Grantex(api_key="gx_...")
grantex.vault.delete("vc_01HXYZ...")